#include <iostream>
#include <cstdio>
#include <algorithm>
using namespace std;

int main()
{
     int p,q,r;
      long  R,L,zbir,brojac=0;
     scanf("%d%d%d%ld%ld",&p,&q,&r,&L,&R);
     for(  long i=L; i<=R;++i){
               zbir=0;
          if(i%p>0)
               zbir+=1+i/p;
          else zbir+=i/p;

          if(i%q>0)
               zbir+=1+i/q;
          else zbir+=i/q;

          if(i%r>0)
               zbir+=1+i/r;
          else zbir+=i/r;

          if(zbir<=i){
               brojac++;
          }
     }
     printf("%ld",brojac);
     return 0;
}